summaryrefslogtreecommitdiff
path: root/net-nds/ypbind/files
diff options
context:
space:
mode:
Diffstat (limited to 'net-nds/ypbind/files')
-rw-r--r--net-nds/ypbind/files/ypbind.confd-r14
-rw-r--r--net-nds/ypbind/files/ypbind.initd40
-rw-r--r--net-nds/ypbind/files/ypbind.service11
3 files changed, 55 insertions, 0 deletions
diff --git a/net-nds/ypbind/files/ypbind.confd-r1 b/net-nds/ypbind/files/ypbind.confd-r1
new file mode 100644
index 000000000000..91cdc60c1030
--- /dev/null
+++ b/net-nds/ypbind/files/ypbind.confd-r1
@@ -0,0 +1,4 @@
+# Config file for /etc/init.d/ypbind
+
+# Set any command line options you want to pass to ypbind.
+YPBIND_OPTS=""
diff --git a/net-nds/ypbind/files/ypbind.initd b/net-nds/ypbind/files/ypbind.initd
new file mode 100644
index 000000000000..27c907ad21b0
--- /dev/null
+++ b/net-nds/ypbind/files/ypbind.initd
@@ -0,0 +1,40 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need net portmap
+ use ypserv domainname
+}
+
+start() {
+ ebegin "Starting ypbind"
+ if [ -n "${YPBIND_OPTS}" ]; then
+ YOPTS="-- ${YPBIND_OPTS}"
+ fi
+ start-stop-daemon --start --quiet --exec /usr/sbin/ypbind ${YOPTS}
+ local ret=$?
+ if [ $ret -eq 0 ] ; then
+ notfound=1
+ for i in 0 1 2 3 4 5 6 7 8 9
+ do
+ ypwhich >/dev/null 2>&1 && { notfound=0; break; }
+ sleep 1
+ done
+ if [ $notfound -eq 1 ] ; then
+ eend 1 "No NIS server found"
+ else
+ eend 0
+ fi
+ else
+ eend $ret
+ fi
+}
+
+stop() {
+ ebegin "Stopping ypbind"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/ypbind
+ eend $?
+ # Remove binding files, if ypbind "forgets" it
+ rm -f /var/yp/binding/*
+}
diff --git a/net-nds/ypbind/files/ypbind.service b/net-nds/ypbind/files/ypbind.service
new file mode 100644
index 000000000000..a04ed71fe0d0
--- /dev/null
+++ b/net-nds/ypbind/files/ypbind.service
@@ -0,0 +1,11 @@
+[Unit]
+Description=YP Bind
+Requires=rpcbind.service domainname.service
+After=rpcbind.service domainname.service network.target
+Before=systemd-user-sessions.service
+
+[Service]
+ExecStart=/usr/sbin/ypbind -foreground
+
+[Install]
+WantedBy=multi-user.target